SCIM 2.0
SCIM 2.0 service provider for user and group provisioning from your identity provider.
Konfiguracja usługi SCIM
Dział zatytułowany „Konfiguracja usługi SCIM”GET /scim/v2/ServiceProviderConfig
Uwierzytelnianie: Brak: żądanie jest uwierzytelniane podpisem opisanym powyżej.
Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
Capabilities of the SCIM service. |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig" ], "patch": { "supported": true }, "bulk": { "supported": false, "maxOperations": 0, "maxPayloadSize": 0 }, "filter": { "supported": true, "maxResults": 200 }, "changePassword": { "supported": false }, "sort": { "supported": true }, "etag": { "supported": false }, "authenticationSchemes": [ { "type": "oauthbearertoken", "name": "OAuth Bearer Token", "primary": true } ]}Przykład z curl
Dział zatytułowany „Przykład z curl”curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/ServiceProviderConfig"Typy zasobów SCIM
Dział zatytułowany „Typy zasobów SCIM”GET /scim/v2/ResourceTypes
Uwierzytelnianie: Brak: żądanie jest uwierzytelniane podpisem opisanym powyżej.
Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
Supported resource types (User, Group). |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 2, "Resources": [ { "id": "User", "name": "User", "endpoint": "/Users", "schema": "urn:ietf:params:scim:schemas:core:2.0:User" }, { "id": "Group", "name": "Group", "endpoint": "/Groups", "schema": "urn:ietf:params:scim:schemas:core:2.0:Group" } ]}Przykład z curl
Dział zatytułowany „Przykład z curl”curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/ResourceTypes"Schematy SCIM
Dział zatytułowany „Schematy SCIM”GET /scim/v2/Schemas
Uwierzytelnianie: Brak: żądanie jest uwierzytelniane podpisem opisanym powyżej.
Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
Supported schemas. |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 2, "Resources": [ { "id": "urn:ietf:params:scim:schemas:core:2.0:User", "name": "User", "description": "User Account" }, { "id": "urn:ietf:params:scim:schemas:core:2.0:Group", "name": "Group", "description": "Group" } ]}Przykład z curl
Dział zatytułowany „Przykład z curl”curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Schemas"Lista użytkowników
Dział zatytułowany „Lista użytkowników”GET /scim/v2/Users
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Parametry
Dział zatytułowany „Parametry”| Nazwa | Miejsce | Typ | Wymagany | Opis |
|---|---|---|---|---|
filter |
query | string | nie | SCIM filter, for example userName eq "[email protected]". and is supported. |
startIndex |
query | integer | nie | |
count |
query | integer | nie |
Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
Users of the token’s tenant. |
401 |
SCIM token missing, invalid, revoked or expired. |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 1, "startIndex": 1, "itemsPerPage": 1, "Resources": [ { "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "name": { "givenName": "Jane", "familyName": "Doe", "formatted": "Jane Doe" }, "displayName": "Jane Doe", "emails": [ { "type": "work", "primary": true } ], "active": true, "meta": { "resourceType": "User", } } ]}Przykład z curl
Dział zatytułowany „Przykład z curl”curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users" \ -H "Authorization: Bearer $EXO_SCIM_TOKEN"Utworzenie użytkownika
Dział zatytułowany „Utworzenie użytkownika”POST /scim/v2/Users
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Treść żądania
Dział zatytułowany „Treść żądania”application/scim+json
| Nazwa | Typ | Wymagany | Opis |
|---|---|---|---|
schemas |
array<string> | tak | |
id |
string | nie | |
externalId |
string \ | null | nie |
userName |
string | tak | |
name |
object | nie | |
name.givenName |
string | nie | |
name.familyName |
string | nie | |
name.formatted |
string | nie | |
displayName |
string | nie | |
emails |
array<object> | nie | |
emails[].value |
string (email) | nie | |
emails[].type |
string | nie | |
emails[].primary |
boolean | nie | |
active |
boolean | nie | |
userType |
string | nie | |
title |
string \ | null | nie |
locale |
string \ | null | nie |
timezone |
string \ | null | nie |
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User |
object | nie | |
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.employeeNumber |
string \ | null | nie |
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.department |
string \ | null | nie |
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.manager |
object \ | null | nie |
meta |
object | nie | |
meta.resourceType |
string | nie | |
meta.created |
string \ | null (date-time) | nie |
meta.lastModified |
string \ | null (date-time) | nie |
meta.location |
string | nie |
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "externalId": "00u1a2b3c4D5e6F7g8h9", "name": { "givenName": "Jane", "familyName": "Doe" }, "emails": [ { "type": "work", "primary": true } ], "active": true}Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
201 |
User created. |
400 |
Invalid SCIM request. |
401 |
SCIM token missing, invalid, revoked or expired. |
409 |
A user with this userName already exists. |
Przykład 201
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "externalId": "00u1a2b3c4D5e6F7g8h9", "name": { "givenName": "Jane", "familyName": "Doe", "formatted": "Jane Doe" }, "displayName": "Jane Doe", "emails": [ { "type": "work", "primary": true } ], "active": true, "userType": "User", "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": { "employeeNumber": "E-10442", "department": "Finance", "manager": null }, "meta": { "resourceType": "User", "created": "2026-11-01T08:00:00.000Z", "lastModified": "2026-11-01T08:00:00.000Z", }}Przykład z curl
Dział zatytułowany „Przykład z curl”curl -X POST "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users" \ -H "Authorization: Bearer $EXO_SCIM_TOKEN" \ -H "Content-Type: application/scim+json" \ --data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"],"userName":"[email protected]","externalId":"00u1a2b3c4D5e6F7g8h9","name":{"givenName":"Jane","familyName":"Doe"},"emails":[{"value":"[email protected]","type":"work","primary":true}],"active":true}'Pobranie użytkownika
Dział zatytułowany „Pobranie użytkownika”GET /scim/v2/Users/{id}
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Parametry
Dział zatytułowany „Parametry”| Nazwa | Miejsce | Typ | Wymagany | Opis |
|---|---|---|---|---|
id |
ścieżka | string | tak |
Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
User. |
401 |
SCIM token missing, invalid, revoked or expired. |
404 |
Resource not found in the token’s tenant. |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "externalId": "00u1a2b3c4D5e6F7g8h9", "name": { "givenName": "Jane", "familyName": "Doe", "formatted": "Jane Doe" }, "displayName": "Jane Doe", "emails": [ { "type": "work", "primary": true } ], "active": true, "userType": "User", "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": { "employeeNumber": "E-10442", "department": "Finance", "manager": null }, "meta": { "resourceType": "User", "created": "2026-11-01T08:00:00.000Z", "lastModified": "2026-11-01T08:00:00.000Z", }}Przykład z curl
Dział zatytułowany „Przykład z curl” -H "Authorization: Bearer $EXO_SCIM_TOKEN"Zastąpienie użytkownika
Dział zatytułowany „Zastąpienie użytkownika”PUT /scim/v2/Users/{id}
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Parametry
Dział zatytułowany „Parametry”| Nazwa | Miejsce | Typ | Wymagany | Opis |
|---|---|---|---|---|
id |
ścieżka | string | tak |
Treść żądania
Dział zatytułowany „Treść żądania”application/scim+json
| Nazwa | Typ | Wymagany | Opis |
|---|---|---|---|
schemas |
array<string> | tak | |
id |
string | nie | |
externalId |
string \ | null | nie |
userName |
string | tak | |
name |
object | nie | |
name.givenName |
string | nie | |
name.familyName |
string | nie | |
name.formatted |
string | nie | |
displayName |
string | nie | |
emails |
array<object> | nie | |
emails[].value |
string (email) | nie | |
emails[].type |
string | nie | |
emails[].primary |
boolean | nie | |
active |
boolean | nie | |
userType |
string | nie | |
title |
string \ | null | nie |
locale |
string \ | null | nie |
timezone |
string \ | null | nie |
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User |
object | nie | |
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.employeeNumber |
string \ | null | nie |
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.department |
string \ | null | nie |
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.manager |
object \ | null | nie |
meta |
object | nie | |
meta.resourceType |
string | nie | |
meta.created |
string \ | null (date-time) | nie |
meta.lastModified |
string \ | null (date-time) | nie |
meta.location |
string | nie |
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "externalId": "00u1a2b3c4D5e6F7g8h9", "name": { "givenName": "Jane", "familyName": "Doe", "formatted": "Jane Doe" }, "displayName": "Jane Doe", "emails": [ { "type": "work", "primary": true } ], "active": true, "userType": "User", "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": { "employeeNumber": "E-10442", "department": "Finance", "manager": null }, "meta": { "resourceType": "User", "created": "2026-11-01T08:00:00.000Z", "lastModified": "2026-11-01T08:00:00.000Z", }}Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
User replaced. |
401 |
SCIM token missing, invalid, revoked or expired. |
404 |
Resource not found in the token’s tenant. |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "externalId": "00u1a2b3c4D5e6F7g8h9", "name": { "givenName": "Jane", "familyName": "Doe", "formatted": "Jane Doe" }, "displayName": "Jane Doe", "emails": [ { "type": "work", "primary": true } ], "active": true, "userType": "User", "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": { "employeeNumber": "E-10442", "department": "Finance", "manager": null }, "meta": { "resourceType": "User", "created": "2026-11-01T08:00:00.000Z", "lastModified": "2026-11-01T08:00:00.000Z", }}Przykład z curl
Dział zatytułowany „Przykład z curl” -H "Authorization: Bearer $EXO_SCIM_TOKEN" \ -H "Content-Type: application/scim+json" \ --data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"],"id":"[email protected]","externalId":"00u1a2b3c4D5e6F7g8h9","userName":"[email protected]","name":{"givenName":"Jane","familyName":"Doe","formatted":"Jane Doe"},"displayName":"Jane Doe","emails":[{"value":"[email protected]","type":"work","primary":true}],"active":true,"userType":"User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"E-10442","department":"Finance","manager":null},"meta":{"resourceType":"User","created":"2026-11-01T08:00:00.000Z","lastModified":"2026-11-01T08:00:00.000Z","location":"/scim/v2/Users/[email protected]"}}'Zmiana użytkownika (PATCH)
Dział zatytułowany „Zmiana użytkownika (PATCH)”PATCH /scim/v2/Users/{id}
Supports add, replace and remove operations, for example deactivating with {"op":"replace","path":"active","value":false}.
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Parametry
Dział zatytułowany „Parametry”| Nazwa | Miejsce | Typ | Wymagany | Opis |
|---|---|---|---|---|
id |
ścieżka | string | tak |
Treść żądania
Dział zatytułowany „Treść żądania”application/scim+json
| Nazwa | Typ | Wymagany | Opis |
|---|---|---|---|
schemas |
array<string> | nie | |
Operations |
array<object> | tak | |
Operations[].op |
string (add, replace, remove, Add, Replace, Remove) |
tak | |
Operations[].path |
string | nie | |
Operations[].value |
nie |
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:PatchOp" ], "Operations": [ { "op": "replace", "path": "active", "value": false } ]}Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
User updated. |
400 |
Invalid SCIM request. |
401 |
SCIM token missing, invalid, revoked or expired. |
404 |
Resource not found in the token’s tenant. |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "externalId": "00u1a2b3c4D5e6F7g8h9", "name": { "givenName": "Jane", "familyName": "Doe", "formatted": "Jane Doe" }, "displayName": "Jane Doe", "emails": [ { "type": "work", "primary": true } ], "active": true, "userType": "User", "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": { "employeeNumber": "E-10442", "department": "Finance", "manager": null }, "meta": { "resourceType": "User", "created": "2026-11-01T08:00:00.000Z", "lastModified": "2026-11-01T08:00:00.000Z", }}Przykład z curl
Dział zatytułowany „Przykład z curl” -H "Authorization: Bearer $EXO_SCIM_TOKEN" \ -H "Content-Type: application/scim+json" \ --data '{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"active","value":false}]}'Usunięcie użytkownika (deprovisioning)
Dział zatytułowany „Usunięcie użytkownika (deprovisioning)”DELETE /scim/v2/Users/{id}
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Parametry
Dział zatytułowany „Parametry”| Nazwa | Miejsce | Typ | Wymagany | Opis |
|---|---|---|---|---|
id |
ścieżka | string | tak |
Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
204 |
User deprovisioned. |
401 |
SCIM token missing, invalid, revoked or expired. |
404 |
Resource not found in the token’s tenant. |
Przykład z curl
Dział zatytułowany „Przykład z curl” -H "Authorization: Bearer $EXO_SCIM_TOKEN"Lista grup
Dział zatytułowany „Lista grup”GET /scim/v2/Groups
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Parametry
Dział zatytułowany „Parametry”| Nazwa | Miejsce | Typ | Wymagany | Opis |
|---|---|---|---|---|
filter |
query | string | nie | SCIM filter, for example userName eq "[email protected]". and is supported. |
startIndex |
query | integer | nie | |
count |
query | integer | nie |
Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
Groups of the token’s tenant. |
401 |
SCIM token missing, invalid, revoked or expired. |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 1, "startIndex": 1, "itemsPerPage": 1, "Resources": [ { "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ], "id": "grp_service_desk_l1", "displayName": "Service Desk L1", "members": [ { "type": "User", } ], "meta": { "resourceType": "Group", "location": "/scim/v2/Groups/grp_service_desk_l1" } } ]}Przykład z curl
Dział zatytułowany „Przykład z curl”curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups" \ -H "Authorization: Bearer $EXO_SCIM_TOKEN"Utworzenie grupy
Dział zatytułowany „Utworzenie grupy”POST /scim/v2/Groups
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Treść żądania
Dział zatytułowany „Treść żądania”application/scim+json
| Nazwa | Typ | Wymagany | Opis |
|---|---|---|---|
schemas |
array<string> | tak | |
id |
string | nie | |
displayName |
string | tak | |
externalId |
string \ | null | nie |
members |
array<object> | nie | |
members[].value |
string | tak | |
members[].type |
string | nie | |
members[].display |
string | nie | |
meta |
object | nie | |
meta.resourceType |
string | nie | |
meta.created |
string \ | null (date-time) | nie |
meta.lastModified |
string \ | null (date-time) | nie |
meta.location |
string | nie |
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ], "displayName": "Service Desk L1", "members": [ { } ]}Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
201 |
Group created. |
400 |
Invalid SCIM request. |
401 |
SCIM token missing, invalid, revoked or expired. |
Przykład 201
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ], "id": "grp_service_desk_l1", "displayName": "Service Desk L1", "externalId": null, "members": [ { "type": "User", } ], "meta": { "resourceType": "Group", "created": "2026-11-01T08:00:00.000Z", "lastModified": "2026-11-01T08:00:00.000Z", "location": "/scim/v2/Groups/grp_service_desk_l1" }}Przykład z curl
Dział zatytułowany „Przykład z curl”curl -X POST "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups" \ -H "Authorization: Bearer $EXO_SCIM_TOKEN" \ -H "Content-Type: application/scim+json" \ --data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:Group"],"displayName":"Service Desk L1","members":[{"value":"[email protected]"}]}'Pobranie grupy
Dział zatytułowany „Pobranie grupy”GET /scim/v2/Groups/{id}
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Parametry
Dział zatytułowany „Parametry”| Nazwa | Miejsce | Typ | Wymagany | Opis |
|---|---|---|---|---|
id |
ścieżka | string | tak |
Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
Group. |
401 |
SCIM token missing, invalid, revoked or expired. |
404 |
Resource not found in the token’s tenant. |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ], "id": "grp_service_desk_l1", "displayName": "Service Desk L1", "externalId": null, "members": [ { "type": "User", } ], "meta": { "resourceType": "Group", "created": "2026-11-01T08:00:00.000Z", "lastModified": "2026-11-01T08:00:00.000Z", "location": "/scim/v2/Groups/grp_service_desk_l1" }}Przykład z curl
Dział zatytułowany „Przykład z curl” -H "Authorization: Bearer $EXO_SCIM_TOKEN"Zmiana grupy (PATCH)
Dział zatytułowany „Zmiana grupy (PATCH)”PATCH /scim/v2/Groups/{id}
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Parametry
Dział zatytułowany „Parametry”| Nazwa | Miejsce | Typ | Wymagany | Opis |
|---|---|---|---|---|
id |
ścieżka | string | tak |
Treść żądania
Dział zatytułowany „Treść żądania”application/scim+json
| Nazwa | Typ | Wymagany | Opis |
|---|---|---|---|
schemas |
array<string> | nie | |
Operations |
array<object> | tak | |
Operations[].op |
string (add, replace, remove, Add, Replace, Remove) |
tak | |
Operations[].path |
string | nie | |
Operations[].value |
nie |
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:PatchOp" ], "Operations": [ { "op": "add", "path": "members", "value": [ { } ] } ]}Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
200 |
Group updated. |
400 |
Invalid SCIM request. |
401 |
SCIM token missing, invalid, revoked or expired. |
404 |
Resource not found in the token’s tenant. |
Przykład 200
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ], "id": "grp_service_desk_l1", "displayName": "Service Desk L1", "externalId": null, "members": [ { "type": "User", } ], "meta": { "resourceType": "Group", "created": "2026-11-01T08:00:00.000Z", "lastModified": "2026-11-01T08:00:00.000Z", "location": "/scim/v2/Groups/grp_service_desk_l1" }}Przykład z curl
Dział zatytułowany „Przykład z curl” -H "Authorization: Bearer $EXO_SCIM_TOKEN" \ -H "Content-Type: application/scim+json" \ --data '{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"members","value":[{"value":"[email protected]"}]}]}'Usunięcie grupy
Dział zatytułowany „Usunięcie grupy”DELETE /scim/v2/Groups/{id}
Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>
Parametry
Dział zatytułowany „Parametry”| Nazwa | Miejsce | Typ | Wymagany | Opis |
|---|---|---|---|---|
id |
ścieżka | string | tak |
Odpowiedzi
Dział zatytułowany „Odpowiedzi”| Status | Opis |
|---|---|
204 |
Group deleted. |
401 |
SCIM token missing, invalid, revoked or expired. |
404 |
Resource not found in the token’s tenant. |
Przykład z curl
Dział zatytułowany „Przykład z curl” -H "Authorization: Bearer $EXO_SCIM_TOKEN"Strona wygenerowana ze specyfikacji OpenAPI API integracji, wersja 1.1.0.